import { IControl, Map as MapboxMap } from 'mapbox-gl';
import './style-switcher.css';
import { CsMap, MapboxStyleDefinition } from '../..';
export declare class MapboxStyleSwitcherControl implements IControl {
    styles: MapboxStyleDefinition[];
    mapControl: CsMap;
    static readonly DEFAULT_STYLES: {
        id: string;
        title: string;
        uri: string;
    }[];
    private static readonly DEFAULT_STYLE;
    private controlContainer;
    constructor(styles: MapboxStyleDefinition[], mapControl: CsMap);
    getDefaultPosition(): string;
    onAdd(map: MapboxMap): HTMLElement;
    onRemove(): void;
}
